[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoDragMsg

DoDragMsg - issues a Drag message for a nominated drag object at a specified position, to a specific target with ADocking set True or False; returns an integer result

## Declaration

Source position: controls.pp line 1712

`protected function TWinControl.DoDragMsg(`
`ADragMessage: TDragMessage;`
`APosition: TPoint;`
`ADragObject: TDragObject;`
`ATarget: TControl;`
`ADocking: Boolean`
`):LRESULT; override;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.